signelloAPI
API referenceDocuments

List documents

Newest first. Paginate by passing the previous response's nextCursor back as cursor; a null nextCursor means the last page.

GET
/documents

Authorization

bearerAuth
AuthorizationBearer <token>

An API key from Settings → Integrations → API & Webhook.

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
Default25
cursor?string
Lengthlength <= 200
status?string

Value in

  • "draft"
  • "sent"
  • "viewed"
  • "signed"
  • "declined"
  • "expired"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/documents"
{  "ok": true,  "data": [    {      "id": "string",      "title": "string",      "status": "string",      "url": "string",      "createdAt": "string",      "sentAt": "string",      "signedAt": "string",      "expiresAt": "string",      "value": {        "amount": 0,        "currency": "string"      }    }  ],  "nextCursor": "string"}